#pragma once
#include "Entity.h"
#include "MenuTextKeyboard.h"
#define MENUTEXTUP_PLAYER1KEYBOARD_CREATENAME L"menutext_player1keyboard_up"
class MenuTextUp_Player1Keyboard :
    public MenuTextKeyboard
{
public:
    InputSetting_Keyboard* GetInputSetting() override;
    SDL_Scancode* GetBind(InputSetting_Keyboard* setting) override;
};

std::shared_ptr<Entity> CreateMenuTextUp_Player1Keyboard();